<?xml version="1.0" encoding="utf-8" standalone="no"?>
<problem revision="23" short-name="distances" url="https://polygon.codeforces.com/p9hDkZx/tourist/distances">
    <names>
        <name language="english" value="Defense Distance"/>
    </names>
    <statements>
        <statement charset="UTF-8" language="english" mathjax="true" path="statements/english/problem.tex" type="application/x-tex"/>
        <statement charset="UTF-8" language="english" mathjax="true" path="statements/.html/english/problem.html" type="text/html"/>
        <statement language="english" path="statements/.pdf/english/problem.pdf" type="application/pdf"/>
    </statements>
    <tutorials>
        <tutorial charset="UTF-8" language="english" mathjax="true" path="statements/english/tutorial.tex" type="application/x-tex"/>
        <tutorial language="english" path="statements/.pdf/english/tutorial.pdf" type="application/pdf"/>
    </tutorials>
    <judging cpu-name="Intel(R) Core(TM) i3-8100 CPU @ 3.60GHz" cpu-speed="3600" input-file="" output-file="" run-count="1">
        <testset name="tests">
            <time-limit>2000</time-limit>
            <memory-limit>1073741824</memory-limit>
            <test-count>91</test-count>
            <input-path-pattern>tests/%02d</input-path-pattern>
            <answer-path-pattern>tests/%02d.a</answer-path-pattern>
            <tests>
                <test method="manual" sample="true"/>
                <test method="manual" sample="true"/>
                <test method="manual" sample="true"/>
                <test cmd="gen_by_num 1" method="generated"/>
                <test cmd="gen_by_num 2" method="generated"/>
                <test cmd="gen_by_num 3" method="generated"/>
                <test cmd="gen_by_num 4" method="generated"/>
                <test cmd="gen_by_num 5" method="generated"/>
                <test cmd="gen_by_num 6" method="generated"/>
                <test cmd="gen_by_num 7" method="generated"/>
                <test cmd="gen_by_num 8" method="generated"/>
                <test cmd="gen_by_num 9" method="generated"/>
                <test cmd="gen_by_num 10" method="generated"/>
                <test cmd="gen_by_num 11" method="generated"/>
                <test cmd="gen_by_num 12" method="generated"/>
                <test cmd="gen_by_num 13" method="generated"/>
                <test cmd="gen_by_num 14" method="generated"/>
                <test cmd="gen_by_num 15" method="generated"/>
                <test cmd="gen_by_num 16" method="generated"/>
                <test cmd="gen_by_num 17" method="generated"/>
                <test cmd="gen_by_num 18" method="generated"/>
                <test cmd="gen_by_num 19" method="generated"/>
                <test cmd="gen_by_num 20" method="generated"/>
                <test cmd="gen_by_num 21" method="generated"/>
                <test cmd="gen_by_num 22" method="generated"/>
                <test cmd="gen_by_num 42" method="generated"/>
                <test cmd="gen_by_num 24" method="generated"/>
                <test cmd="gen_by_num 25" method="generated"/>
                <test cmd="gen_by_num 26" method="generated"/>
                <test cmd="gen_by_num 27" method="generated"/>
                <test cmd="gen_by_num 28" method="generated"/>
                <test cmd="gen_by_num 29" method="generated"/>
                <test cmd="gen_by_num 30" method="generated"/>
                <test cmd="gen_by_num 31" method="generated"/>
                <test cmd="gen_by_num 32" method="generated"/>
                <test cmd="gen_by_num 33" method="generated"/>
                <test cmd="gen_by_num 34" method="generated"/>
                <test cmd="gen_by_num 35" method="generated"/>
                <test cmd="gen_by_num 36" method="generated"/>
                <test cmd="gen_by_num 37" method="generated"/>
                <test cmd="gen_by_num 38" method="generated"/>
                <test cmd="gen_by_num 39" method="generated"/>
                <test cmd="gen_by_num 40" method="generated"/>
                <test cmd="gen_by_num 41" method="generated"/>
                <test cmd="gen_rand 100 0" method="generated"/>
                <test cmd="gen_rand 100 1" method="generated"/>
                <test cmd="gen_rand 250 0" method="generated"/>
                <test cmd="gen_rand 250 1" method="generated"/>
                <test cmd="gen_rand 500 0" method="generated"/>
                <test cmd="gen_rand 500 1" method="generated"/>
                <test cmd="gen_rand 1000 0" method="generated"/>
                <test cmd="gen_rand 1000 1" method="generated"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test cmd="gen_special 0" method="generated"/>
                <test cmd="gen_special 1" method="generated"/>
                <test cmd="gen_special 2 5 another" method="generated"/>
                <test cmd="gen_special 2 1" method="generated"/>
                <test cmd="gen_special 2 2" method="generated"/>
                <test cmd="gen_special 2 3" method="generated"/>
                <test cmd="gen_special 2 4" method="generated"/>
                <test cmd="gen_special 2 5" method="generated"/>
                <test cmd="gen_special 3" method="generated"/>
                <test cmd="gen_special 4" method="generated"/>
                <test cmd="gen_special 5" method="generated"/>
                <test cmd="gen_rand_tourist 0 1000 0" method="generated"/>
                <test cmd="gen_rand_tourist 100 1000 0" method="generated"/>
                <test cmd="gen_rand_tourist 200 1000 0" method="generated"/>
                <test cmd="gen_rand_tourist 300 1000 0" method="generated"/>
                <test cmd="gen_rand_tourist 400 1000 0" method="generated"/>
                <test cmd="gen_rand_tourist 499 1000 0" method="generated"/>
                <test cmd="gen_rand_tourist 0 1000 1" method="generated"/>
                <test cmd="gen_rand_tourist 100 1000 1" method="generated"/>
                <test cmd="gen_rand_tourist 200 1000 1" method="generated"/>
                <test cmd="gen_rand_tourist 300 1000 1" method="generated"/>
                <test cmd="gen_rand_tourist 400 1000 1" method="generated"/>
                <test cmd="gen_rand_tourist 500 1000 1" method="generated"/>
                <test cmd="gen_rand_tourist 600 1000 1" method="generated"/>
                <test cmd="gen_rand_tourist 700 1000 1" method="generated"/>
                <test cmd="gen_rand_tourist 800 1000 1" method="generated"/>
                <test cmd="gen_rand_tourist 900 1000 1" method="generated"/>
                <test cmd="gen_rand_tourist 950 1000 1" method="generated"/>
                <test cmd="gen_rand_tourist 980 1000 1" method="generated"/>
                <test cmd="gen_rand_tourist 990 1000 1" method="generated"/>
                <test cmd="gen_rand_tourist 995 1000 1" method="generated"/>
                <test cmd="gen_rand_tourist 999 1000 1" method="generated"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
                <test method="manual"/>
            </tests>
        </testset>
    </judging>
    <files>
        <resources>
            <file path="files/olymp.sty"/>
            <file path="files/problem.tex"/>
            <file path="files/statements.ftl"/>
            <file path="files/testlib.h" type="h.g++"/>
            <file path="files/tutorial.tex"/>
        </resources>
        <executables>
            <executable>
                <source path="files/check.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/check.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/gen_by_num.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/gen_by_num.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/gen_rand.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/gen_rand.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/gen_rand_tourist.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/gen_rand_tourist.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/gen_special.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/gen_special.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/val.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/val.exe" type="exe.win32"/>
            </executable>
        </executables>
    </files>
    <assets>
        <checker type="testlib">
            <source path="files/check.cpp" type="cpp.gcc14-64-msys2-g++23"/>
            <binary path="check.exe" type="exe.win32"/>
            <copy path="check.cpp" type="cpp.gcc14-64-msys2-g++23"/>
            <testset>
                <test-count>7</test-count>
                <input-path-pattern>files/tests/checker-tests/%02d</input-path-pattern>
                <output-path-pattern>files/tests/checker-tests/%02d.o</output-path-pattern>
                <answer-path-pattern>files/tests/checker-tests/%02d.a</answer-path-pattern>
                <tests>
                    <test verdict="ok"/>
                    <test verdict="crashed"/>
                    <test verdict="wrong-answer"/>
                    <test verdict="wrong-answer"/>
                    <test verdict="ok"/>
                    <test verdict="wrong-answer"/>
                    <test verdict="presentation-error"/>
                </tests>
            </testset>
        </checker>
        <validators>
            <validator>
                <source path="files/val.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="files/val.exe" type="exe.win32"/>
                <testset>
                    <test-count>7</test-count>
                    <input-path-pattern>files/tests/validator-tests/%02d</input-path-pattern>
                    <tests>
                        <test verdict="valid"/>
                        <test verdict="valid"/>
                        <test verdict="valid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                    </tests>
                </testset>
            </validator>
        </validators>
        <solutions>
            <solution tag="rejected">
                <source path="solutions/347931797_ksun48_wa4.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/347931797_ksun48_wa4.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/347933046_ksun48_ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/347933046_ksun48_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/347991597_shevlopmes_RomkaRS_artem3605_ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/347991597_shevlopmes_RomkaRS_artem3605_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/348020482__LeMur__ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348020482__LeMur__ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/348041800_shade34_SomethingNew_goncharovmike_wa4.cpp" type="cpp.gcc13-64-winlibs-g++20"/>
                <binary path="solutions/348041800_shade34_SomethingNew_goncharovmike_wa4.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/348043697_shade34_SomethingNew_goncharovmike_wa13.cpp" type="cpp.gcc13-64-winlibs-g++20"/>
                <binary path="solutions/348043697_shade34_SomethingNew_goncharovmike_wa13.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/348044584_shade34_SomethingNew_goncharovmike_ok.cpp" type="cpp.gcc13-64-winlibs-g++20"/>
                <binary path="solutions/348044584_shade34_SomethingNew_goncharovmike_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/348117275_Karuk_BLOBVISGOD_jeroenodb_ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348117275_Karuk_BLOBVISGOD_jeroenodb_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/348140082_Stanislau_Karabutsa_alex.dobleaga_ok.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/348140082_Stanislau_Karabutsa_alex.dobleaga_ok.exe" type="exe.win32"/>
            </solution>
            <solution tag="main">
                <source path="solutions/perveevm_ac.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/perveevm_ac.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/perveevm_wa1.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/perveevm_wa1.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/perveevm_wa2.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/perveevm_wa2.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/perveevm_wa3.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/perveevm_wa3.exe" type="exe.win32"/>
            </solution>
            <solution tag="rejected">
                <source path="solutions/perveevm_wa4.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/perveevm_wa4.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/tourist.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/tourist.exe" type="exe.win32"/>
            </solution>
        </solutions>
    </assets>
    <properties>
        <property name="tests-wellformed" value="true"/>
    </properties>
    <stresses>
        <stress-count>0</stress-count>
        <stress-path-pattern>stresses/%03d</stress-path-pattern>
        <list/>
    </stresses>
    <tags>
        <tag value="constructive"/>
        <tag value="levenstein"/>
    </tags>
</problem>
